import request from '@/utils/request'

// 查询企业纳税信息列表
export function listInfo(query) {
    return request({
        url: '/crmEnterpriseTaxPaymentInfo/findByPage',
        method: 'get',
        params: query
    })
}

// 查询企业纳税信息详细
export function getInfo(id) {
    return request({
        url: '/crmEnterpriseTaxPaymentInfo/' + id,
        method: 'get'
    })
}

// 新增企业纳税信息
export function addInfo(data) {
    return request({
        url: '/crmEnterpriseTaxPaymentInfo',
        method: 'post',
        data: data
    })
}

// 修改企业纳税信息
export function updateInfo(data) {
    return request({
        url: '/crmEnterpriseTaxPaymentInfo',
        method: 'put',
        data: data
    })
}

// 删除企业纳税信息
export function delInfo(id) {
    return request({
        url: '/crmEnterpriseTaxPaymentInfo/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
    console.log(ids);
    return request.post('/crmEnterpriseTaxPaymentInfo/delete',ids)
}